- name: Configure OSPF interfaces
  nclu:
    template: |
      {% for interface in interfaces %}
      {% if interface['ospf_area'] is defined %}
      add ospf network {{ interface['ipv4'] }} area {{ interface['ospf_area'] }}
      {% endif %}
      {% endfor %}
    commit: false      
  notify: "Configuration was changed"
  when: interfaces is defined 

- name: Configure OSPF interface type
  nclu:
    template: |
      {% for interface in interfaces %}
      {% if interface['ospf_net_type'] is defined %}
      add interface {{ interface['name'] }} ospf network {{interface['ospf_net_type']}}
      {% endif %}
      {% endfor %}
    commit: false
  notify: "Configuration was changed"
  when: interfaces is defined 

- name: Configure OSPF for SVI
  nclu:
    template: |
      {% for bridge in bridges %}
      {% if bridge['ospf_area'] is defined %}
      add ospf network {{ bridge['ipv4'] }} area {{ bridge['ospf_area'] }}
      {% endif %}
      {% endfor %}
    commit: false      
  notify: "Configuration was changed"
  when: bridges is defined 

- name: Configure OSPF for SVI interface type
  nclu:
    template: |
      {% for bridge in bridges %}
      {% if bridge['ospf_net_type'] is defined %}
      add bridge {{ bridge['name'] }} ospf network {{bridge['ospf_net_type']}}
      {% endif %}
      {% endfor %}
    commit: false
  notify: "Configuration was changed"
  when: bridges is defined 

- name: Configure passive OSPF interface for SVI
  nclu:
    template: |
      {% for bridge in bridges %}
      {% if bridge['ospf_passive'] is defined and bridge['ospf_passive'] %}
      add ospf passive-interface {{ bridge['name'] }}
      {% endif %}
      {% endfor %}
    commit: false
  notify: "Configuration was changed"
  when: bridges is defined 